summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-03-02 11:19:08 +0100
committerHolger Levsen <holger@layer-acht.org>2015-03-02 11:19:08 +0100
commitc0af6d26b055dc4c0a44f1cd45c03005ccd4b25f (patch)
treeb600974e4c283b4404deadd7aa2a5e73906d7f8a /bin
parent0edd1dbc48731e5e18ef4b62014d62f3e9e3b9fc (diff)
downloadjenkins.debian.net-c0af6d26b055dc4c0a44f1cd45c03005ccd4b25f.tar.xz
reproducible: use band-aid to make bash work
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_html_graphs.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_html_graphs.sh b/bin/reproducible_html_graphs.sh
index 3fcf1b5c..c11cf6e0 100755
--- a/bin/reproducible_html_graphs.sh
+++ b/bin/reproducible_html_graphs.sh
@@ -57,7 +57,7 @@ if [ -z $RESULT ] ; then
if [ -z $DIFFB ] ; then DIFFB=0 ; fi
DIFFU=$(sqlite3 -init ${INIT} ${PACKAGES_DB} "SELECT julianday('$DATE') - julianday('$OLDESTU');")
if [ -z $DIFFU ] ; then DIFFU=0 ; fi
- let "TOTAL=GOOD+BAD+UGLY+REST"
+ let "TOTAL=GOOD+BAD+UGLY+REST" || true # let FOO=0+0 returns error in bash...
if [ "$ALL" != "$TOTAL" ] ; then
let "UNTESTED=ALL-TOTAL"
else